rpm: rpmqv.c File Reference

rpm 4.11.2-rc1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Enumerations | Functions | Variables
rpmqv.c File Reference
`#include "system.h"`
`#include <rpm/rpmcli.h>`
`#include <rpm/rpmlib.h>`
`#include <rpm/rpmlog.h>`
`#include <rpm/rpmps.h>`
`#include <rpm/rpmts.h>`
`#include "cliutils.h"`
`#include "debug.h"`
Include dependency graph for rpmqv.c:

Go to the source code of this file.

## Macros
#define | MODES_QV (MODE_QUERY | MODE_VERIFY)
#define | MODES_IE (MODE_INSTALL | MODE_ERASE)
#define | MODES_FOR_NODEPS (MODES_IE | MODE_VERIFY)
#define | MODES_FOR_TEST (MODES_IE)

## Enumerations
enum | modes { MODE_BUILD = (1 << 4), MODE_REBUILD = (1 << 5), MODE_RECOMPILE = (1 << 8), MODE_TARBUILD = (1 << 11), MODE_INITDB = (1 << 0), MODE_REBUILDDB = (1 << 1), MODE_VERIFYDB = (1 << 2), MODE_CHECKSIG = (1 << 0), MODE_IMPORTKEY = (1 << 1), MODE_DELKEY = (1 << 2), MODE_LISTKEY = (1 << 3), MODE_QUERY = (1 << 0), MODE_VERIFY = (1 << 3), MODE_INSTALL = (1 << 1), MODE_ERASE = (1 << 2), MODE_UNKNOWN = 0, MODE_ADDSIGN = (1 << 0), MODE_RESIGN = (1 << 1), MODE_DELSIGN = (1 << 2), MODE_UNKNOWN = 0, MODE_QUERY = (1 << 0), MODE_PARSE = (1 << 1) }

## Functions
int | main (int argc, char *argv[])

## Variables
const char * | program_name
static int | quiet
static struct poptOption | optionsTable []

## Macro Definition Documentation

#define MODES_FOR_NODEPS (MODES_IE | MODE_VERIFY)

Definition at line 31 of file rpmqv.c.

Referenced by main().

#define MODES_FOR_TEST (MODES_IE)

Definition at line 32 of file rpmqv.c.

Referenced by main().

#define MODES_IE (MODE_INSTALL | MODE_ERASE)

Definition at line 26 of file rpmqv.c.

Referenced by main().

#define MODES_QV (MODE_QUERY | MODE_VERIFY)

Definition at line 22 of file rpmqv.c.

Referenced by main().

## Enumeration Type Documentation

enum modes

Enumerator
MODE_BUILD |
MODE_REBUILD |
MODE_RECOMPILE |
MODE_TARBUILD |
MODE_INITDB |
MODE_REBUILDDB |
MODE_VERIFYDB |
MODE_CHECKSIG |
MODE_IMPORTKEY |
MODE_DELKEY |
MODE_LISTKEY |
MODE_QUERY |
MODE_VERIFY |
MODE_INSTALL |
MODE_ERASE |
MODE_UNKNOWN |
MODE_ADDSIGN |
MODE_RESIGN |
MODE_DELSIGN |
MODE_UNKNOWN |
MODE_QUERY |
MODE_PARSE |

Definition at line 18 of file rpmqv.c.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 72 of file rpmqv.c.

References _, __progname, _noTransScripts, _noTransTriggers, argerror(), finishPipe(), rpmInstallArguments_s::incldocs, initPipe(), INSTALL_ERASE, INSTALL_FRESHEN, INSTALL_HASH, INSTALL_INSTALL, INSTALL_NODEPS, INSTALL_PERCENT, INSTALL_UPGRADE, rpmInstallArguments_s::installInterfaceFlags, MODE_ERASE, MODE_INSTALL, MODE_QUERY, MODE_UNKNOWN, MODE_VERIFY, MODES_FOR_NODEPS, MODES_FOR_TEST, MODES_IE, MODES_QV, rpmRelocation_s::newPath, rpmInstallArguments_s::noDeps, rpmInstallArguments_s::numRelocations, rpmRelocation_s::oldPath, rpmInstallArguments_s::prefix, printUsage(), rpmInstallArguments_s::probFilter, rpmQVKArguments_s::qva_flags, rpmQVKArguments_s::qva_mode, rpmQVKArguments_s::qva_queryFormat, rpmQVKArguments_s::qva_source, rpmQVKArguments_s::qva_sourceCount, rpmInstallArguments_s::relocations, RETVAL, rpmcliFini(), rpmcliInit(), rpmcliPipeOutput, rpmcliQuery(), rpmcliRootDir, rpmcliVerify(), rpmErase(), rpmExpandNumeric(), rpmIArgs, rpmInstall(), rpmIsVerbose, RPMLOG_WARNING, RPMPROB_FILTER_DISKNODES, RPMPROB_FILTER_DISKSPACE, RPMPROB_FILTER_FORCERELOCATE, RPMPROB_FILTER_IGNOREARCH, RPMPROB_FILTER_IGNOREOS, RPMPROB_FILTER_OLDPACKAGE, RPMPROB_FILTER_REPLACEPKG, RPMQV_ALL, RPMQV_PACKAGE, rpmQVKArgs, rpmSetVerbosity, RPMTRANS_FLAG_ALLFILES, RPMTRANS_FLAG_JUSTDB, RPMTRANS_FLAG_NODOCS, RPMTRANS_FLAG_NOSCRIPTS, RPMTRANS_FLAG_NOTRIGGERS, RPMTRANS_FLAG_TEST, rpmtsCreate(), rpmtsFree(), rpmtsSetRootDir(), rstreq(), rpmInstallArguments_s::transFlags, UNINSTALL_ALLMATCHES, UNINSTALL_NODEPS, VERIFY_ALL, xmalloc, and xrealloc.

## Variable Documentation

struct poptOption optionsTable[]
| static

Definition at line 37 of file rpmqv.c.

const char* program_name

Definition at line 2 of file rpmqv.c.

int quiet
| static

Definition at line 34 of file rpmqv.c.